package io.accumulatenetwork.sdk.generated.apiv2;

/**
    GENERATED BY go run ./tools/cmd/gen-api. DO NOT EDIT.
**/

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonTypeName;
import io.accumulatenetwork.sdk.protocol.RPCBody;
// UnionType: 
// UnionValue: 

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonTypeName("MajorQueryResponse")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class MajorQueryResponse implements RPCBody {
	private long majorBlockIndex;
	private java.time.OffsetDateTime majorBlockTime;
	private MinorBlock[] minorBlocks;

    //
	public long getMajorBlockIndex() {
	    return majorBlockIndex;
	}
	public void setMajorBlockIndex(final long value) {
	    this.majorBlockIndex = value;
	}

	public MajorQueryResponse majorBlockIndex(final long value) {
	    setMajorBlockIndex(value);
	    return this;
	}
	public java.time.OffsetDateTime getMajorBlockTime() {
	    return majorBlockTime;
	}
	public void setMajorBlockTime(final java.time.OffsetDateTime value) {
	    this.majorBlockTime = value;
	}

	public MajorQueryResponse majorBlockTime(final java.time.OffsetDateTime value) {
	    setMajorBlockTime(value);
	    return this;
	}
	public MinorBlock[] getMinorBlocks() {
	    return minorBlocks;
	}
	public void setMinorBlocks(final MinorBlock[] value) {
	    this.minorBlocks = value;
	}

	public MajorQueryResponse minorBlocks(final MinorBlock[] value) {
	    setMinorBlocks(value);
	    return this;
	}
}
